com.javax0.aptools

## Class AbstractToolFactory

- java.lang.Object
- - com.javax0.aptools.AbstractToolFactory

- Direct Known Subclasses:
    FromThe, GetThe, InThe, The

      public abstract class AbstractToolFactory
      extends java.lang.Object

  An abstract annotation factory that can create XXXTool class instances that are used to manipulate the XXX data. For example the method `string(String s)` will create a `StringTool` that can be used to manage/manipulate the string passed as argument to the method `string(String s)`.

  Even though this class is abstract there are no methods that are abstract. This class is abstract because this class is not supposed to be used directly only through the extension classes: `The`, `InThe`, `GetThe` ...

  Author:
    Peter Verhas

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractToolFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.javax0.aptools.AnnotationTool` | `annotation(javax.lang.model.element.AnnotationMirror annotationMirror)` Create a `AnnotationTool` that can be used to manage the element.
    `static com.javax0.aptools.ElementTool` | `element(javax.lang.model.element.Element element)`
    `static com.javax0.aptools.MethodTool` | `method(javax.lang.model.element.ExecutableElement methodElement)` Create a `MethodTool` that can be used to manage the element.
    `static com.javax0.aptools.StringTool` | `string(java.lang.String s)` Create a new `StringTool` to manage the string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractToolFactory

          public AbstractToolFactory()

  - ### Method Detail

    - #### element

          public static com.javax0.aptools.ElementTool element(javax.lang.model.element.Element element)

    - #### annotation

          public static com.javax0.aptools.AnnotationTool annotation(javax.lang.model.element.AnnotationMirror annotationMirror)

      Create a `AnnotationTool` that can be used to manage the element.

    - #### method

          public static com.javax0.aptools.MethodTool method(javax.lang.model.element.ExecutableElement methodElement)

      Create a `MethodTool` that can be used to manage the element.

    - #### string

          public static com.javax0.aptools.StringTool string(java.lang.String s)

      Create a new `StringTool` to manage the string.
      Parameters:
        `s` - the string to be managed
      Returns:
        the new `StringTool`

Copyright © 2014. All Rights Reserved.